Subject: Re: Last Call on draft-bradner-rfc3979bis-08.txt ("Intellectual Property Rights in IETF Technology")

From: Brian E Carpenter <[email-masked]>
Date: Sun, 3 Apr 2016 12:59:30 +1200

Alissa,
On 01/04/2016 11:38, Alissa Cooper wrote:
...
> 1) I agree with other commenters' concerns about the definition of "participating" with respect to WG chairs and ADs. In particular in the context of section 6, this seems like it could limit the pool of people who can stand for AD roles, because you're not allowed to participate in cases where you won't be able to disclose, but you have no idea a priori what WGs will get chartered in your area and what work items they might take up.

I don't see what's new about this - it's always been an awkward point. I worked for
a major patent-generating company while I was in the IESG ten years ago, and I had
to pay attention to this. I'm not saying it isn't a problem, but I don't see that
tightening up the language really makes the problem any worse. (However, I still
don't see any need to state the obvious, i.e. that WG Chairs and ADs are
participants, unless they recuse themselves on a particular matter.)

    Brian

---

From: joel jaeggli <[email-masked]>
Date: Sat, 2 Apr 2016 23:56:51 -0300

On 3/30/16 1:28 PM, Scott Bradner wrote:
> this was the (strong?) consensus of the IPR BOF

It's reasonable to characterize the AD as involved in the working groups
in their area.

I don't really find fault in the characterization of old 6.1.2 current
5.1.2.

If you're aware of IPR meeting the conditions of 5.1.2 with respect to
work in your areas of engagement you disclose it. If you aren't you
don't. if you become aware you disclose it even if it's inconvenient or
later then desirable.

> Scott
> 
>> On Mar 30, 2016, at 11:49 AM, Gonzalo Camarillo <[email-masked]> wrote:
>>
>> Hi,
>>
>> Section 1 (Definitions), subsection k says the following:
>>
>>>      Without limiting the generality of the
>>>      foregoing, acting as a working group chair or Area Director
>>>      constitutes "Participating" in all activities of the relevant
>>>      working group or area.
>>
>> The AD of a large area may not get to read all individual I-Ds or all
>> email messages sent in all the WGs of the area. We may want to define
>> this a bit more explicitly.
>>
>> Cheers,
>>
>> Gonzalo
>>
>> On 22/03/2016 2:17 PM, Jari Arkko wrote:
>>>
>>> All,
>>>
>>> RFC 3979 was published in 2005. Since then we’ve gathered a lot of experience, and we’d like to update the RFC with that experience. This isn’t a revolution of the IETF IPR approach, it is mostly about clarification, better documentation, and recognising some other new RFCs and changes. But the document itself has changed quite a lot and structured differently than RFC 3979 was.
>>>
>>> Some of the main issues (such as how to define participation) were discussed in the IETF-87 meeting, but there are also a number of other changes in this document. Please give this document a careful read, and let us know your feedback.
>>>
>>> I am starting a last call on this document today, but gave a longer last call period to make sure everyone has enough time to comment after IETF-95 as well. And thanks for the comments that some of you have already sent after the document was published; we’ve observed them and will make them part of the feedback from the Last Call.
>>>
>>> The document is available here:
>>>
>>>   https://datatracker.ietf.org/doc/draft-bradner-rfc3979bis/
>>>   https://tools.ietf.org/html/draft-bradner-rfc3979bis-08
>>>
>>> Jari Arkko (as the responsible AD for this document)
>>>
>>
> 
>

---

From: Stephan Wenger <[email-masked]>
Date: Sun, 3 Apr 2016 14:33:13 +0000

Hi,

>participants, unless they recuse themselves on a particular matter.)

My feeling is that a WG chair absolutely should be in the loop of everything going on in its WG, and therefore should be viewed as “participating” with respect to any Contribution made to the WG or related to the WG.

With respect to ADs, I find Brian’s argument generally compelling.  However, I don’t know how an AD can or should recuse himself/herself from a particular matter in the sense of shedding his/her possible obligations under BCP79.  AFAICT, historically, when an AD recuses himself/herself, it was often based on too much knowledge and interest in a certain technology, with respect to personnel behind the technology, and so on.  In such a case, a recuse from IPR obligations of any type would not be desirable.  The more we relax the disclosure requirements, the more we enable gaming the policy by a “company man”--and that form of gaming may not come up until years after the person has resigned from the AD position, rendering the IETF’s internal sanction mechanism inefficient.

Stephan

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 4 Apr 2016 16:55:51 +1200

On 04/04/2016 02:33, Stephan Wenger wrote:
> With respect to ADs, I find Brian’s argument generally compelling.  However, I don’t know how an AD can or should recuse himself/herself from a particular matter in the sense of shedding his/her possible obligations under BCP79.  AFAICT, historically, when an AD recuses himself/herself, it was often based on too much knowledge and interest in a certain technology, with respect to personnel behind the technology, and so on.  In such a case, a recuse from IPR obligations of any type would not be desirable.

Agreed, but an AD might have no choice but to abstain "for cause" if s/he is caught
between the IETF rules and an employer rule that patent applications are not published.
If we don't accept that reality, we would be reducing our volunteer pool even more.

   Brian

> The more we relax the disclosure requirements, the more we enable gaming the policy by a “company man”--and that form of gaming
may not come up until years after the person has resigned from the AD position, rendering the IETF’s internal sanction mechanism
inefficient.

---

From: "Eggert, Lars" <[email-masked]>
Date: Mon, 4 Apr 2016 12:37:04 +0000

Hi,

I mostly ready this from the perspective of the IRTF, since this is intended to also apply to us. I found that that wasn't terribly clear from the current text.

Lars

Section 1., paragraph 0:
> 1. Definitions

  Sorting these definitions alphabetically is not really helpful to the
  reader. Could you order them such that terms are defined before being
  referred to, or at least try?

Section 1., paragraph 3:
>    b. "Contribution": any submission to the IETF intended by the
>       Contributor for publication as all or part of an Internet-Draft or
>       RFC and any statement made within the context of an IETF activity,
>       in each case that is intended to affect the IETF Standards Process
>       or that is related to the activity of an Alternate Stream that has
>       adopted this definition.

 What do you mean by "this definition"? Also, it's not clear what
 "activity of an Alternate Stream" is supposed to convey. I think this
 intends to capture work occurring in IRTF RGs, but it's a pretty
 indirect way of stating this.

Section 1., paragraph 4:
>       Such statements include oral statements, as well as written and
>       electronic communications, which are addressed to:

  The list below does not include IRTF mailing lists or meetings.

Section 1., paragraph 9:
>    e. "IETF": In the context of this document, the IETF includes all
>       individuals who participate in meetings, working groups, mailing
>       lists, functions and other activities which are organized or
>       initiated by ISOC, the IESG or the IAB under the general
>       designation of the Internet Engineering Task Force or IETF, but
>       solely to the extent of such participation.

  For clarity, I would also call out the IRTF and its RGs here.

Section 1., paragraph 10:

>    f. "IETF Documents": RFCs and Internet-Drafts that are published as
>       part of the IETF Standards Process.  These are also referred to as
>       "IETF Stream Documents" as defined in Section 5.1.1 of RFC 4844.

  What about RFCs and Internet-Drafts that are intended as contributions
  to IRTF activities? It would be useful to maybe add "...part of the
  IETF Standards Process and related activities" to make this clearer.

Section 1., paragraph 11:
>    g. "IETF Standards Process": the activities undertaken by the IETF in
>       any of the settings described in the above definition of
>       Contribution.  The IETF Standards Process may include
>       participation in activities and publication of documents that are
>       not directed toward the development of IETF standards or
>       specifications, such as the development and publication of
>       informational documents.

  I'd again explicitly call out the alternate streams here. And maybe
  this document is meant for lawyers and I am not one, but having a
  definition called "IETF Standards Process" that also includes all of
  our non-standard-setting activities is confusing.

Section 1., paragraph 17:
>    m. "RFC": the basic publication series for the IETF.  RFCs are
>       published by the RFC Editor and once published are never modified.
>       (See [RFC2026] Section 2.1)

  Might want to mention the existence of errata.

Section 5.5., paragraph 0:
> 5.5. Licensing Information in an IPR Disclosure

  It's been running code on the IRTF side to be very OK with not having
  license terms included, esp. if it significantly delays the official
  filing of the disclosure, since RGs don't set standards and therefore
  don't really need to consider licensing terms. Not clear if that
  should be discussed here.

Section 11., paragraph 2:
>    The legal rules that apply to documents in Alternate Streams are
>    established by the managers of those Alternate Streams as defined in
>    [RFC 4844]. (i.e., the Internet Architecture Board (IAB), Internet
>    Research Steering Group (IRSG) and Independent Submission Editor).

  Is the IRSG really the manager of the IRTF stream? I thought it was
  the IRTF chair, but I can't find the definitive answer in either 4844,
  5742 or 5743...

---

From: Stephan Wenger <[email-masked]>
Date: Mon, 4 Apr 2016 13:14:11 +0000

Hi Lars,
Reading trough this, I think it may be worthwhile that the IRTF creates an RFC that includes an applicability statement of BCP79 to IRTF activities, instead of trying to include the IRSG and its terminology into this already confusing document.
(minor point: I prefer to keep the definitions in alphabetic order: jumping around on an initial read is a small burden compared to the difficulty of finding a definition in an unordered list when reading deep-down details.)
Stephan

---

From: Barry Leiba <[email-masked]>
Date: Mon, 4 Apr 2016 09:43:21 -0400

>> So, one might argue that an AD can be unaware that a particular
>> document includes something that needs to be disclosed up to the
>> point that they take some action on that document, such as sponsoring it.
>
> Yes, but is that an issue? The AD is only required to disclose when
> she is "reasonably and personally aware" of the need for a disclosure,
> which will presumably become the case when she actually reads the draft
> (or sees the slides that describe the technology in question).

Be careful here: I think it is an issue.

The "reasonably and personally aware" applies to the IPR, not to the
participation.  If I'm participating in active discussion about
Section 4 of document X, and I should be reasonably and personally
aware of IPR my employer holds with respect to Section 3 of document
X, we aren't going to happily accept that I didn't read Section 3 so I
don't have a responsibility to disclose.

If we're saying that, say, ADs are considered to be Participants with
respect to every document and discussion in every working group in the
area -- and I see why some people think that's wise and appropriate --
then we're saying that I have a responsibility to disclose whether or
not I've read the documents, and waiting until AD Evaluation state
would be a late disclosure.  Consider that the working group might
have been proceeding for a couple of years and many I-D revisions
under the assumption that the technology is unencumbered... and then I
dump an IPR statement on them just as they've finished.

This really is a tough one: it would be nice if the late disclosure
didn't happen, but ADs can't reasonably be expected to read every
draft in every working group early on... and, as others have said, it
would be very bad if this disclosure requirement gave us even fewer AD
candidates than we have now.

Barry

---

From: Stephan Wenger <[email-masked]>
Date: Mon, 4 Apr 2016 14:15:21 +0000

Hi Barry,

On 4/4/16, 10:43, "ietf on behalf of Barry Leiba" <[email-masked] on behalf of [email-masked]> wrote:

>participation.  

I think this is incorrect.  

According to section 5.1.2 (disclosure requirement based on Participation, not own IPR), a disclosure obligation exists if “the Participant believes Covers or may ultimately Cover that Contribution”.  I don’t think anyone could argue that an AD has a “believe” in a patent or application he/she is aware of Covers a Contribution when he has never seen the Contribution.  

>If I'm participating in active discussion about

A late disclosure is better than no disclosure, and, clearly, an AD has a much better justification of making such a late disclosure.  I would hope that no one would complain if an AD makes a late disclosure and, when asked for the reason of lateness, he says “I was not responsible AD; I came across this during final review in IETF last call, and just identified this. “  In fact, people should appreciate this.

Stephan

---

From: Barry Leiba <[email-masked]>
Date: Mon, 4 Apr 2016 10:27:23 -0400

> According to section 5.1.2 (disclosure requirement based on
> Participation, not own IPR), a disclosure obligation exists if “the
> Participant believes Covers or may ultimately Cover that
> Contribution”.  I don’t think anyone could argue that an AD has a
> “believe” in a patent or application he/she is aware of Covers a
> Contribution when he has never seen the Contribution.

Would you accept "I didn't read the draft" as an acceptable reason
that someone engaged in active discussion on a draft didn't disclose?

We don't have different levels of Contributor here.  Someone making a
Contribution has an obligation to disclose, even if s/he was one of
those who said, "I didn't read the draft, but...."  If we declare the
ADs to be Contributors, why does the same not apply to them?

> A late disclosure is better than no disclosure

I hope we all agree on that!

> clearly, an AD
> has a much better justification of making such a late disclosure.  I
> would hope that no one would complain if an AD makes a late disclosure
> and, when asked for the reason of lateness, he says “I was not
> responsible AD; I came across this during final review in IETF last
> call, and just identified this. “  In fact, people should appreciate
> this.

Maybe so, but as it stands now in the document, it's still a late
disclosure, and there might still be backlash, legal concerns by
employers, and reluctance to put people in that position.

If that's the consensus, then there we have it... but I think we
should be very careful about unintended consequences of this one.

Barry

---

From: Barry Leiba <[email-masked]>
Date: Mon, 4 Apr 2016 10:39:06 -0400

A follow-up here:

I'd be more comfortably with something more waffly, something more like this:

Without limiting the generality of the foregoing, acting as a working
group chair or Area Director can often be considered "Participating"
in all activities of the relevant working group or area; as such,
working group chairs and Area Directors are expected to make a best,
good-faith effort to carry out the responsibilities of Participants.

Or perhaps we want to separate WGCs from ADs here, and the text needs
more work in any case, but I hope people see the general point.

Barry

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 4 Apr 2016 12:24:15 -0300

Just chiming in ...

> more work in any case, but I hope people see the general point.

I made the point previously that I am a TSV AD, but when I'm following work
in one of Martin's TSV working groups, that's the exception, rather than
the rule.

I would hope that all of the chairs in a working group are following all of
the work in their own working group fairly closely.

So I think Barry's suggestion to consider ADs and WG chairs separately
makes sense (even if it turns out that the distinction is required).

Spencer

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Apr 2016 11:59:46 -0400

--On Monday, April 04, 2016 10:39 -0400 Barry Leiba
<[email-masked]> wrote:

> Without limiting the generality of the foregoing, acting as a
> working group chair or Area Director can often be considered
> "Participating" in all activities of the relevant working
> group or area; as such, working group chairs and Area
> Directors are expected to make a best, good-faith effort to
> carry out the responsibilities of Participants.
> 
> Or perhaps we want to separate WGCs from ADs here, and the
> text needs more work in any case, but I hope people see the
> general point.

FWIW, I agree with Barry about the general point, but let me go
a step further.  I think we have two main goals in all of this:
preventing someone from sneaking encumbered technology into a
standard (or other IETF specification) without the community
being aware of the encumbrance and avoiding the waste of time
associated with someone letting the specification development
process continue almost to the end before someone says "hey, we
have a patent on that, do you really want to go back and start
over?".   The other thing that is important to remember is that,
at least for a patent-holding organization, there is one
sanction far more serious than anything the IETF can impose, and
that is to try to enforce the patent and have a judge say "you
acted in a deceitful fashion, inconsistent with the intent of
patent laws, in getting people to use your technology, so the
patent is unenforceable".  That has actually occurred, multiple
times, in situations where IPR claims have met standards bodies.
I've been told that, in some cases, it has even resulted in
nasty sanctions against the patent-holder, sanctions that go
beyond invalidation or non-enforceability of the patent.

At least from the point of view of that kind of sanction --one
which many patent-holding organizations and their legal
departments are likely to take more seriously than the risk of
having to throw an IETF participant to the wolves-- it is very
important that our intent be as clear as possible.  If that
means saying something I think should be obvious, which is that
WG Chairs and ADs have extra decision-making authority and hence
bear responsibility for being extra-careful, I think that is
fine.

If someone really wants to Participate, Contribute, and
influence decisions while hiding IPR, or just to be
systematically careless about disclosures, they will find
loopholes to use as a basis for saying "I didn't _really_
violate the rules".  Ironically, if we really try to specify
every case and situation, we may create more such loopholes by
creating a basis for someone to say "they were really specific
about the cases that apply, this isn't an exact match for any of
those, so I didn't have to disclose". 

So let's try to step back a bit, be sure that the draft reflects
our intent as well as possible, and maybe even try to treat the
specific cases we do define as illustrative examples rather than
as rules that can be interpreted as more important than the
intent.

best,
    john

---

From: Michael Cameron <[email-masked]>
Date: Mon, 4 Apr 2016 16:46:00 +0000

"A best, good faith effort" would place on Participants the highest legal standard of care--possibly requiring an AD or WG chair to affirmatively search their IP portfolio and map the claims (~20 claims per patent) of each relevant patent against each IETF draft in their domain. Is it realistic to think that Cisco, Juniper, Huawei and others similarly situated would retain an army of IP professionals just to ensure that the AD/WG chair can meet this standard? Or will these companies just require that their employees no longer "Participate" in IETF activities?

As far as non-IETF sanctions, you are probably thinking of the Rambus-JEDEC matter. I am not aware of any situation where an IETF Participant has consciously hidden patents while pushing an IETF standard, and then, once the standard has been adopted, asserted the patents.  So long as a Participant is an active participant, that is, someone actively pushing the Contribution in some fashion, and not someone who "should have known", and is then consciously aware of possible IPR, only then does the duty to disclose arise. 

Best, Mike

---

From: "Ben Campbell" <[email-masked]>
Date: Mon, 04 Apr 2016 14:52:33 -0300

> candidates than we have now.

I think it's a bit worse than that. IIUC, the document also says that 
the act of participating asserts that the participant has the authority 
to disclose any related IPR. That seems to mean that, by accepting an AD 
role, one asserts they have authority to disclose IPR on any draft or 
discussion that anyone might ever have in their area. I think its highly 
likely that some sponsors would object to such an open-ended assertion 
if they understood it.

Ben.

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Apr 2016 14:44:26 -0400

--On Monday, April 04, 2016 16:46 +0000 Michael Cameron
<[email-masked]> wrote:

> "A best, good faith effort" would place on Participants the
> highest legal standard of care--possibly requiring an AD or WG
> chair to affirmatively search their IP portfolio and map the
>...

Which is exactly why I did not suggest that or any other wording
that has specific legal implications.

> As far as non-IETF sanctions, you are probably thinking of the
> Rambus-JEDEC matter.

No, actually, I wasn't.   For some years, I sat on ANSI's
Information Systems Standards Board which, at the time, oversaw
ANSI SDOs in the general IT area (including IEEE and what was
then X3) and the US TAG to ISO TC 97 and then ISO/IEC JTC1.  In
that role, I got a major earful about these issues (in both US
and "international" flavors) from professionals and attorneys
with specific specialties in the area.

> I am not aware of any situation where an
> IETF Participant has consciously hidden patents while pushing
> an IETF standard, and then, once the standard has been
> adopted, asserted the patents.

Nor am I.  But I'm not sure what "hasn't happened so far"
implies.  The consensus in the community has been that we
shouldn't wait for something bad to happen before we put good
policies in place.   I don't think "hasn't happened" it is an
argument for hair-splitting rules which is all I'm arguing
against.

>  So long as a Participant is an
> active participant, that is, someone actively pushing the
> Contribution in some fashion, and not someone who "should have
> known", and is then consciously aware of possible IPR, only
> then does the duty to disclose arise. 

But that is not the current, consensus, judgment and 3979 rule
although that category of people is the most clear.  In
particular, if someone is going to make decisions about, e.g.,
whether consensus exists about a particular issue or document,
and they are aware of relevant IPR (or, by the way, anything
that might constitute a broadly-construed conflict of interest),
I want to be absolutely sure they are obligated to disclose,
even if they have not publicly said a word consistent with
"actively pushing the contribution".

For the case of ADs, being very clear about that might result in
more situations in which someone who hasn't read a document
"voting" "I haven't read this and therefore abstain" rather than
voting "no objection" on the grounds that, having not read the
document and not seen anything bad in reviews, they don't see a
reason to object.   IMO, that might actually be a desirable side
effect.

To be explicit given Ben's note, I'd consider it entirely
reasonable for an AD who suspects a particular document or WG
work area might, if reviewed and understood, require an IPR
disclosure that other commitments (like day job obligations)
would not permit to isolate herself from the specification, and
discussions of and decisions about it and then not disclose.
That is not "recuse" in the sense sometimes used of
participating in discussions but not voting.  It is complete
isolation.  I'd hope it would also be explicit, perhaps in the
form of a statement like "I don't know or cannot discuss if my
organization has IPR that would interact with that WG or not
but, if were to have such IPR, I couldn't disclose it and
therefore do no want to participate in or contribute to any
aspect of that work or evaluation of it".  If a given AD avoided
work by making statements like that too often, I'd expect
Nomcoms to take notice in evaluating performance (or possibly
calls for resignation), but that is really a different matter.

Again, I think it is lots more important that we be clear about
intent -- and allow ADs ways to avoid being crushed between IETF
and employer rules by stepping back-- than it is that we try to
make specific rules covering every case.

    john

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Apr 2016 15:15:39 -0400

--On Wednesday, March 30, 2016 18:49 +0300 Gonzalo Camarillo
<[email-masked]> wrote:

>>       foregoing, acting as a working group chair or Area
>>       Director constitutes "Participating" in all activities
>>       of the relevant working group or area.
> 
> The AD of a large area may not get to read all individual I-Ds
> or all email messages sent in all the WGs of the area. We may
> want to define this a bit more explicitly.

Gonzalo,

This seems to be the most useful recent comment to which to
respond, after which I'm going back to lurking...

Following up on my response to Michael, I'd like to suggest
drawing the line in a different place and, if necessary, doing
it very explicitly.   While, as you point out, the AD in a large
area may not read every document, I think it is reasonable for
the community to assume that every AD reads every draft charter.
I think it is reasonable for an AD to be expected to have a
general sense of when a particular set a tasks or work area
might interact with work, and actual or potential IPR claims,
about which he or she is at least generally aware, at charter
time.  I think it is entirely appropriate for such an AD to take
a role in focusing a charter to explicitly include or exclude
particular work that might be relevant in either IPR or more
general conflict of interest terms.  But then I think the
community should want such ADs, if they are not in a position to
disclose should such IPR claims actually arise, to be completely
and formally isolated from the relevant work.  I'd prefer, but
not require, that the reasons for such an isolation decision be
explicitly disclosed to the community.   From one point of view,
this is why we have a moderately large IESG and more than one AD
in most areas.

FWIW, I note that undisclosed IPR is only one of the reasons for
such an isolation principle.  If an AD works for an organization
that has not announced, but is about to release, a product that
would interact with a WG's proposed work and could not disclose
the planned product (even if no IPR claims were intended and
whether the WG ultimately produced a standard that aligned with
the product or not), I'd want that AD isolated from influence
over decisions about that WG too.  In a way, that makes the rule
for ADs just like that for ordinary WG participants: the price
of contributing or otherwise participating in a way that could
influence decisions is disclosure.

Another aspect of my reaction to Barry's comment is that, given
other changes in the IETF in the last 11 years, I'd really like
to see 3979bis recast as a matter of ethical obligations to the
IETF and fellow participants, with specific legal (or other)
requirements stated as corollaries to those ethical principles
rather than as standalone rules. 

FWIW, that view is very much influenced by Sam Hartman's
comments a week or two ago in which he focused, it seemed to me,
on what he as a participant wants or needs to know rather than
on conformance to specific legalistic rules.  It certainly did
not occur to me when 3668 and 3979 were being developed, but,
especially in the context of our current collection of rules for
good behavior (and prohibitions on various sorts of bad
behavior), concentrating on defining and encouraging ethical
behavior seems a better approach now.

    john

---

From: Stephan Wenger <[email-masked]>
Date: Mon, 4 Apr 2016 20:06:56 +0000

Hi all,

Barry and I had a chat about this.  I also had offline conversations with Mike Cameron and a chat with Joel.  Barry and I at least agree on the problems.  The solutions are mine for now, and they absolutely are in need of wordsmithing...

Based on the discussion so far, there seem to be a need for the following:

1. A clarification that an AD, by the nature of his/her office, regularly becomes aware of Contributions late in the process (for example at IETF Last Call) and, therefore, cannot be expected to disclose any IPR Covering those Contributions until such late time in the process.
To fix this point, a simple explanatory sentence somewhere in section 5.2.2 would suffice.  For example “By the nature of their office, IETF area directors regularly become aware of Contributions late in the process (for example at IETF Last Call) and, therefore and in such cases, cannot be expected to disclose any IPR Covering those Contributions until such late time in the process.”

The purpose of this sentence is to protect an AD and its sponsoring company from allegations, both within the IETF and in courts, that they disclosed late against policy.

2. A clarification or, more likely, a substantial change that, like any other individual in the IETF, also an AD has the option to recuse himself from involving himself/herself in the decision making process of a document, even a document in his own area. For example, an AD that did never comment on a document and abstained during the IETF Last Call would not incur a disclosure obligation, even if the Contribution were in his/her own area.

This second point is more tricky.  Is the formulation currently in the draft, which defines ADs as Participants, inline with what’s written in point 2?  I’m coming around to think that it does not.  Instead, I think we have a contradiction in the current draft—on one hand, an AD who intentionally stays away from influencing the decision process regarding a Contribution should not incur an obligation based on the underlying principle of the policy—no more than anyone else; but the text about ADs being Participants rules out that interpretation.  Having contradictions in patent policies is a Very Bad Idea since at least Rambus (ca. 2003).  Is that correct so far?

Based on the current formulation, and without violating the policy, an AD who is under the gun of his IPR department not to disclose a specific IPR has only the option to step down.  Is this what we want in each and every case?  Or would we rather be pragmatic and allow an AD to recuse himself/herself occasionally?  If yes, I think we need language indicating that such a mechanism is available, but also is meant to be used sparsely, and at least implying that ADs who are forced to use it more than under exceptional circumstances are indeed to step down.

The paragraph below tries to express this.  The markup will probably only be visible if you choose to view the HTML version of this email.

“
k. "Participating in an IETF discussion or activity": means making a
Contribution, as described above, or in any other way acting in
order to influence the outcome of a discussion relating to the
IETF Standards Process. Without limiting the generality of the
foregoing, acting as a working group chair or Area Director
constitutes "Participating" in all activities of the relevant
working group or area. "Participant" and "IETF Participant" mean
any individual Participating in an IETF discussion or activity.  Under
extraordinary circumstances only, an AD may choose not to Participate
in the discussion or activity of his/her area, recuse himself/herself
from IESG deliberations of related documents, and abstain during
the IESG ballot process, thereby not incurring the obligations based
on Participating.
"

Stephan

On 4/4/16, 11:39, "[email-masked]<mailto:[email-masked]> on behalf of Barry Leiba" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

A follow-up here:

Barry

On Mon, Apr 4, 2016 at 10:27 AM, Barry Leiba <[email-masked]<mailto:[email-masked]>> wrote:
The "reasonably and personally aware" applies to the IPR, not to the
participation.

clearly, an AD

Barry

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 5 Apr 2016 08:16:34 +1200

On 05/04/2016 07:15, John C Klensin wrote:

...
> influence decisions is disclosure.

Well, *exactly*. That's why I don't think that ADs or WGCs need to
be called out in any particular way: they participate and therefore
if they are reasonably and personally aware of IPR, they must disclose
(and if they can't disclose, they need to stop participating in
that particular case).

> rather than as standalone rules.

I'm sympathetic with that idea, but not being a lawyer I don't know
if it's feasible to truly separate them.

   Brian

---

From: Jari Arkko <[email-masked]>
Date: Mon, 4 Apr 2016 17:28:46 -0300

> (and if they can't disclose, they need to stop participating in

Right, and I think we all are actually in agreement over this.

Personally, I’d love to see the draft talk about AD participation just like it talks about other people's participation. If I really haven’t participated in WG X, well, I haven’t, even if my co-AD owns the group :-) And if I did participate, well, I should declare the IPR that I know of :-)

Jari

---

From: Scott Bradner <[email-masked]>
Date: Mon, 4 Apr 2016 16:46:49 -0400

> On Apr 4, 2016, at 4:06 PM, Stephan Wenger <[email-masked]> wrote:
> 
> Hi all,
> 

this does not seem right

why not say 
By the nature of their office, IETF area directors may become aware of Contributions late in the process (for example at IETF Last Call or during IESG review) and, therefore and in such cases, cannot be expected to disclose any IPR Covering those Contributions until they become aware of them.”

---

From: Stephan Wenger <[email-masked]>
Date: Mon, 4 Apr 2016 20:47:49 +0000

Fine.  Account it under wordsmithing :-)
Stephan

From: Scott Bradner <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 4, 2016 at 17:46
To: Stephan Wenger <[email-masked]<mailto:[email-masked]>>
Cc: Barry Leiba <[email-masked]<mailto:[email-masked]>>, IETF <[email-masked]<mailto:[email-masked]>>
Subject: Re: Last Call on draft-bradner-rfc3979bis-08.txt ("Intellectual Property Rights in IETF Technology")

On Apr 4, 2016, at 4:06 PM, Stephan Wenger <[email-masked]<mailto:[email-masked]>> wrote:

Hi all,

this does not seem right

why not say

---

From: Barry Leiba <[email-masked]>
Date: Mon, 4 Apr 2016 16:58:33 -0400

> Barry and I had a chat about this.  I also had offline conversations with
> Mike Cameron and a chat with Joel.  Barry and I at least agree on the
> problems.  The solutions are mine for now, and they absolutely are in need
> of wordsmithing...

Indeed, and Stephan's captured my concerns well, and I agree with the
proposed solutions.

>> why not say
>> By the nature of their office, IETF area directors may become aware of
>> Contributions late in the process (for example at IETF Last Call or during
>> IESG review) and, therefore and in such cases, cannot be expected to
>> disclose any IPR Covering those Contributions until they become aware of
>> them.”
>

Yes, that wordsmithing looks good.

Barry

---

From: joel jaeggli <[email-masked]>
Date: Mon, 4 Apr 2016 18:08:04 -0300

On 4/4/16 5:06 PM, Stephan Wenger wrote:
> Hi all,
> 
> Barry and I had a chat about this.  I also had offline conversations
> with Mike Cameron and a chat with Joel.  Barry and I at least agree on
> the problems.  The solutions are mine for now, and they absolutely are
> in need of wordsmithing...
> 
> 1. A clarification that an AD, by the nature of his/her office,
> regularly becomes aware of Contributions late in the process (for
> example at IETF Last Call) and, therefore, cannot be expected to
> disclose any IPR Covering those Contributions until such late time in
> the process.
> To fix this point, a simple explanatory sentence somewhere in section
> 5.2.2 would suffice.  For example “By the nature of their office, IETF
> area directors regularly become aware of Contributions late in the
> process (for example at IETF Last Call) and, therefore and in such
> cases, cannot be expected to disclose any IPR Covering those
> Contributions until such late time in the process.”
> 
> The purpose of this sentence is to protect an AD and its sponsoring
> company from allegations, both within the IETF and in courts, that they
> disclosed late against policy.
> 
> 2. A clarification or, more likely, a substantial change that, like any
> other individual in the IETF, also an AD has the option to recuse
> himself from involving himself/herself in the decision making process of
> a document, even a document in his own area. For example, an AD that did
> never comment on a document and abstained during the IETF Last Call
> would not incur a disclosure obligation, even if the Contribution were
> in his/her own area.  

I kind of have a problem with this point. it signals that you would have
to make a disclosure if you did participate. which is tantamount to
disclosing but with an extraordinarily incomplete statement.

> This second point is more tricky.  Is the formulation currently in the
> draft, which defines ADs as Participants, inline with what’s written in
> point 2?  I’m coming around to think that it does not.  Instead, I think
> we have a contradiction in the current draft—on one hand, an AD who
> intentionally stays away from influencing the decision process regarding
> a Contribution should not incur an obligation based on the underlying
> principle of the policy—no more than anyone else; but the text about ADs
> being Participants rules out that interpretation.  Having contradictions
> in patent policies is a Very Bad Idea since at least Rambus (ca. 2003).
>  Is that correct so far?
> 
> Based on the current formulation, and without violating the policy, an
> AD who is under the gun of his IPR department not to disclose a specific
> IPR has only the option to step down.  Is this what we want in each and
> every case?  Or would we rather be pragmatic and allow an AD to recuse
> himself/herself occasionally?  If yes, I think we need language
> indicating that such a mechanism is available, but also is meant to be
> used sparsely, and at least implying that ADs who are forced to use it
> more than under exceptional circumstances are indeed to step down.  
> 
> The paragraph below tries to express this.  The markup will probably
> only be visible if you choose to view the HTML version of this email.
> 
> “
> working groupor area. "Participant" and "IETF Participant" mean
> any individual Participating in an IETF discussion or activity.  _Under _
> _extraordinary circumstances only, an AD may choose not to Participate _
> _in the discussion or activity of his/her area, recuse himself/herself _
> _from IESG deliberations of related documents, and abstain during _
> _the IESG ballot process, thereby not incurring the obligations based_
> _on Participating._
> "  
> 
> Stephan
> 
> 
> On 4/4/16, 11:39, "[email-masked] <mailto:[email-masked]> on
> behalf of Barry Leiba" <[email-masked]
> <mailto:[email-masked]> on behalf of [email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     A follow-up here:
> 
>     On Mon, Apr 4, 2016 at 10:27 AM, Barry Leiba
>     <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Apr 2016 19:23:08 -0400

--On Tuesday, April 05, 2016 08:16 +1200 Brian E Carpenter
<[email-masked]> wrote:

>> Another aspect of my reaction to Barry's comment is that,
>> given other changes in the IETF in the last 11 years, I'd
>> really like to see 3979bis recast as a matter of ethical
>> obligations to the IETF and fellow participants, with
>> specific legal (or other) requirements stated as corollaries
>> to those ethical principles rather than as standalone rules.
> 
> I'm sympathetic with that idea, but not being a lawyer I don't
> know if it's feasible to truly separate them.

Brian,

I suggest that every legislator or minister in the world who has
had to write an introduction that justifies what a particular
law or regulation is about (or to get it passed), and every
lawyer who has started a sentence with the word "Whereas..." (or
its equivalent in other languages) understands how to do that.

In our case, the Abstract and Introduction to 3979bis say some
nice words about design and intentions, but it is hard to
understand the relationships between those statements and the
actual rules.  It would require a massive reorganization
/rewrite to the document and I'm not at all sure the community
(much less Scott and Jorge) are up to it, but I think we would
be better off if we outlined expectations for disclosure of IPR
(and other involvements that might complicate IETF actions) as a
professional and ethical matter.  I'd think it could be linked
to RFC 7154 and similar discussions and clearly focused on what
people need to know to develop good-quality standards and
related documents in an environment requiring a lot of trust in
colleagues.  With that set of principles in place, it could then
say that some specific rules exist in support of those
principles but that other behavior that would violate the
principles isn't allowed either.  Then it could go on to lay out
the rule themselves, in as much legalese as is needed and more
or less copying what is now in 3979bis-08, modified to reflect
the two weeks of discussions since it was posted.

I believe that would have at least two advantages: (i) it would
reduce the need to split every last possible hair and cover
every possible edge case because badly-intentioned behavior
would be considered bad (and sanction-able) in the IETF whether
some particular rule clearly applied or not and (ii) it _might_
permit us to have more focused discussions in the future by
differentiating disagreement with the principles from
disagreement about how particular rules were specified, or
whether those specifications adequately reflected, those
principles.

IMO, the document needs a change of organization and tone, and a
way to deal with the edge cases without having to try to
identify and specify the handling for each one, much more than
it needs major conceptual reform.   But changing organization
and tone would still represent a significant effort and, again,
it isn't clear to me that folks are up to it.

    john

---

From: Michael Cameron <[email-masked]>
Date: Tue, 5 Apr 2016 00:30:46 +0000

We all have the best interests of the community in mind, but invariably, the individual views and objectives of the members of a diverse organization may not always align. Hence this civil and respectful dialogue has been helpful in understanding the various positions of the participants (lower "p"!). The position that I have taken is that the community is best served when the ADs and WG chairs are provided certainty when doing their jobs.  While it is good to have guideposts (Do the right thing), ultimately they have to have easy to understand rules.  That being said, I would continue to propose the removal of the words "reasonably and" from 5.1.2 to conform it to the consensus that one need not undertake an IP search prior to acting on a Contribution. Also, because no-one should be expected to predict the outcome of the uncertain patent prosecution process, the phrase "may ultimately Cover that Contribution" should be deleted in Section 5.1.2. 

Thus, I would propose Section 5.1.2 be amended as follows:

If an individual Participates relative to a written Contribution (other than a Contribution that is not intended to be used as an input into the IETF Standards Process) made by another person and such Participant    personally knows of IPR meeting the conditions of Section 5.6 which the Participant believes Covers, or which the Participant personally knows his or her employer or sponsor may assert against Implementing Technologies based on such written Contribution, then such Participant must make a disclosure in accordance with this Section 5.

The changes to "Participating in an IETF discussion or activity" and "Participating" are good:

k. Participating in an IETF discussion or activity": means making a Contribution, as described above, or in any other way acting in order to influence the outcome of a discussion relating to the IETF Standards Process. Without limiting the generality of the foregoing, acting as a working group chair constitutes "Participating" in all activities of the relevant working group. "Participant" and "IETF Participant" mean any individual Participating in an IETF discussion or activity. By the nature of their office, IETF area directors may become aware of Contributions late in the process (for example at IETF Last Call or during IESG review) and, therefore and in such cases, cannot be expected to disclose any IPR Covering those Contributions until they become aware of them.

Mike

---

From: John C Klensin <[email-masked]>
Date: Tue, 05 Apr 2016 03:46:08 -0400

Mike,

We may just need to agree to disagree but, as Scott pointed out
and I remember from discussions at the time, the "reasonably"
language was the result of a long set of discussions and
negotiations with attorneys representing several organizations
that were active in supporting the IETF and a non-trivial number
of its participants.   I can't remember whether anyone from
Ericsson or any company that has since been absorbed by it were
included -- Scott would probably remember or could reconstruct
that if it were important.   My recollection is that the term
went in to avoid a potential loophole involving the need to
evaluate plausible deniability about what someone did or did not
know or believe.  Scott would probably remember (I don't and I'm
not sure I ever knew) if anyone made it a condition, e.g.,
indicated that they would, corporately, be uncomfortable about
having employees participate in the IETF unless that wording was
present.

These things are often a delicate balance and I think we need to
be careful about taking it out without, at least, going back and
consulting the original organizations to be sure that it
wouldn't result in their reducing participation in and/or
support for the IETF.

More generally, in a climate in which there are increasing
questions being asked about the effect of cross-licensing
agreements and "we won't sue you if you don't sue us, but, if
you do, all bets are off" provisions on competition (not a legal
opinion, just what I read in the press), I'm reluctant to start
making changes to text and policies that have been around for
some time except as dictated by questions of clarity (I put my
suggestions about reorganization to stress principles in that
category) or as dictated by experience (the claim I've
understood Scott and Jorge to make for this revision).  

Along those lines, I don't see any text that requires people to
predict the outcome of the patent prosecution process.  Any text
that required that would definitely be unacceptable, but the
text to which you refer (carried forward from Section 6.1.1 of
RFC 3979) says "_believes_ Covers or may ultimately Cover..."
(emphasis mine) and not "knows", "predicts" or any other term
involving the future.  

Finally, no matter what one does, there are no certain rules for
ADs or WG Chairs in this or almost any other area.  Not only are
the positions very much about the exercise of good judgment,
but, as soon as text introduces wording about beliefs
(reasonable or not), there is going to be uncertainty and the
possibility of abuse.  That is actually part of the reason I'd
like to see more introductory and rationale material based on
professional ethics rather than trying to specify things only
via a collection of rules that are subjective and tied to
people's assertions about what they believe or might have
believed at some time in the past.  If certainty were really our
goal, we would have gone for RAND or FRAND rules, not disclosure
ones.   It has regularly suggested that we drop all of this
disclosure complexity and uncertainty and go to that but the
community, including many of the companies who have been
involved, have rejected that idea every time it has come up. 

best,
    john

--On Tuesday, April 05, 2016 00:30 +0000 Michael Cameron
<[email-masked]> wrote:

> We all have the best interests of the community in mind, but
> invariably, the individual views and objectives of the members
> of a diverse organization may not always align. Hence this
> civil and respectful dialogue has been helpful in
> understanding the various positions of the participants (lower
> "p"!). The position that I have taken is that the community is
> best served when the ADs and WG chairs are provided certainty
> when doing their jobs.  While it is good to have guideposts
> (Do the right thing), ultimately they have to have easy to
> understand rules.  That being said, I would continue to
> propose the removal of the words "reasonably and" from 5.1.2
> to conform it to the consensus that one need not undertake an
> IP search prior to acting on a Contribution. Also, because
> no-one should be expected to predict the outcome of the
> uncertain patent prosecution process, the phrase "may
> ultimately Cover that Contribution" should be deleted in
> Section 5.1.2. 
> 
> If an individual Participates relative to a written
> Contribution (other than a Contribution that is not intended
> to be used as an input into the IETF Standards Process) made
> by another person and such Participant    personally knows of
> IPR meeting the conditions of Section 5.6 which the
> Participant believes Covers, or which the Participant
> personally knows his or her employer or sponsor may assert
> against Implementing Technologies based on such written
> Contribution, then such Participant must make a disclosure in
> accordance with this Section 5.
> 
> k. Participating in an IETF discussion or activity": means
> making a Contribution, as described above, or in any other way
> acting in order to influence the outcome of a discussion
> relating to the IETF Standards Process. Without limiting the
> generality of the foregoing, acting as a working group chair
> working group. "Participant" and "IETF Participant" mean any
> individual Participating in an IETF discussion or activity. By
> the nature of their office, IETF area directors may become
> aware of Contributions late in the process (for example at
> IETF Last Call or during IESG review) and, therefore and in
> such cases, cannot be expected to disclose any IPR Covering
> those Contributions until they become aware of them.
> 
> Mike

---

From: Stephan Wenger <[email-masked]>
Date: Tue, 5 Apr 2016 13:28:50 +0000

Mike, all,
Referring only to this:

On 4/4/16, 21:30, "ietf on behalf of Michael Cameron" <[email-masked] on behalf of [email-masked]> wrote:

>[...]
>Also, because no-one should be expected to predict the outcome of the uncertain patent prosecution process, the phrase "may ultimately Cover that Contribution" should be deleted in Section 5.1.2. 
>
>[...]

My current feeling is that the removal of the “ultimately covered” phrase would have the opposite effect you apparently desire.  It would lead to more irrelevant disclosures, not less.

The definition of “Cover” is fairly broad, and includes not only "claims of patent and applications (including provisional applications)”, but also “other IPR”, and that IPR, in my interpretation, would also cover provisional applications without claims.  In other words, from the definition of “Cover” alone it is already clear to me that a discloser must take into account applications with all the uncertainty of the prosecution process that entails.  That’s intentional, and hopefully not subject of this discussion.  We definitely want people to disclose applications, as early in their respective process as possible.  

The phrase “ultimately covers” gives some wiggle room to cut down on disclosures of applications that ultimately may not cover the Contribution, but would based on the claims currently on file.  I, at least, have interpreted that phrase in the past (yes, it is present in RFC 3979) such that if I were certain that an overbroad claim--like those routinely filed by European-trained lawyers when filing US provisionals--will not survive prosecution unamended, I would determine my disclosure requirement based on my interpolation of a claim that I think can realistically survive.  I happen to know that at least two IPR departments advised their IETF delegates to act similarly.  Doing so cuts down on the disclosure of applications that are not likely relevant to the Contribution, while still preserving timeliness of disclosures, including disclosures against provisionals.  

This is “running code”, as we call it in the IETF.  Unless I see a very clear, very detailed explanation (including case law if available) why it is bad, I would be very reluctant to support a change.

Stephan

---

From: joel jaeggli <[email-masked]>
Date: Tue, 5 Apr 2016 12:21:56 -0300

> candidates than we have now.

Late disclosure might look bad, but we don't generally try and punish
people for attempting to correct situations that they reasonably might
be unaware of.

It is much more important that the late disclosure happen then that no
disclosure occur when one is warranted.

---

From: Pete Resnick <[email-masked]>
Date: Mon, 11 Apr 2016 12:17:21 -0500

Some questions and comments, much of them editorial, though nonetheless 
important:

- Section 2:

The third paragraph of 3979 section 2 (with the 2026 "principles") was 
deleted. I kinda liked it. Can we put it back in? So basically I'm 
suggesting:

OLD
     Section 1 defines...
NEW
     RFC 2026, Section 10 established three basic principles regarding
     the IETF dealing with claims of Intellectual Property Rights:

     (a) the IETF will make no determination about the validity of any
         particular IPR claim
     (b) the IETF following normal processes can decide to use 
technology
         for which IPR disclosures have been made if it decides that 
such
         a use is warranted
     (c) in order for the working group and the rest of the IETF to have
         the information needed to make an informed decision about the
         use of a particular technology, all those contributing to the
         working group's discussions must disclose the existence of any
         IPR the Contributor or other IETF participant believes Covers 
or
         may ultimately Cover the technology under discussion.  This
         applies to both Contributors and other participants, and 
applies
         whether they contribute in person, via email or by other means.
         The requirement applies to all IPR of the participant, the
         participant's employer, sponsor, or others represented by the
         participants, that is reasonably and personally known to the
         participant.  No patent search is required.

     Section 1 defines...
END

- Section 4:

A bunch of (D) (what was section 4.1 from 3979) was deleted. It seemed 
like sensible stuff. Why was it removed? Was it just the 2026 reference? 
Couldn't we just update that to refer to 6410?

- Section 5.2.1 (A): The stuff after the first sentence is more 
completely described in 5.4.2. How about a forward reference here 
instead:

OLD
                                                                   For
        example, if the Contribution is an update to a Contribution for
        which an IPR disclosure has already been made and the
        applicability of the disclosure is not changed by the new
        Contribution, then no new disclosure is required.  But if the
        Contribution is a new one, or is one that changes an existing
        Contribution such that the revised Contribution is no longer
        Covered by the disclosed IPR or would be Covered by new or
        different IPR, then a new disclosure must be made.
NEW
        See section 5.4.2 for a discussion of when updates need to be
        made for an existing disclosure.
END

- Section 5.4.2(A):

A couple of cleanups items in this section, and one concern. First, the 
cleanup: Clause (2) could use the same "unless" clause that (1) and (3) 
have; if you've got enough info regarding the patent application in the 
disclosure to find that it's been abandoned, there shouldn't be a hard 
requirement to update the disclosure. Also, clause (4) says "causes the 
Disclosure to be covered" when it should say "causes the Contribution to 
be covered". But even leaving that aside, clause (4) is a really a noop: 
If there is a material change to the document, that is in and of itself 
a new contribution, and is therefore addressed by section 5.1 or the 
"inherited by revisions" sentence at the bottom of 5.4.2(A). So, for the 
first part of 5.4.2(A), I suggest the following:

OLD
     A. An IPR disclosure must be updated or a new disclosure made
        promptly after any of the following has occurred: (1) the
        publication of a previously unpublished patent application,
        (unless sufficient information to identify the published
        application was disclosed when the unpublished application was
        disclosed), (2) the abandonment of a patent application (3) the
        issuance of a patent on a previously disclosed patent 
application
        (unless sufficient information to identify the issued patent was
        disclosed when the patent application was disclosed), (4) a
        material change to the IETF Document covered by the Disclosure
        that causes the Disclosure to be covered by additional IPR.
NEW
     A. An IPR disclosure must be updated or a new disclosure made
        promptly after any of the following has occurred unless
        sufficient information was provided when the original disclosure
        was made to discover the status of the patent or patent
        application: (1) the publication of a previously unpublished
        patent application, (2) the abandonment of a patent application,
        or (3) the issuance of a patent on a previously disclosed patent
        application.
END

As far as the concern, the second part of the next sentence in 5.4.2(A) 
is worrisome:

                                                                     If 
a
        patent has issued, then the new IPR disclosure must include the
        patent number and, if the claims of the granted patent differ
        from those of the application in manner material to the relevant
        Contribution, the IPR disclosure must describe any differences 
in
        applicability to the Contribution.

The first part is fine, though it repeats what's in 5.4.1 already, so I 
think it can be dropped. But the second part is what I'm concerned 
about. We've never before required disclosures to determine and discuss 
the applicability of the disclosure to the Contribution, and nowhere 
else in this document is that mentioned. Indeed, we go to great lengths 
to say that the leadership of the IETF doesn't try to figure out 
applicability, and that even WGs or the IESG can only take into account 
their opinions of what the applicability is. As a general rule, I don't 
think we can ask people who disclose to do the analysis to determine 
what parts of the patent do or do not apply to a particular 
contribution. As we say elsewhere, that's really up to a court. So I 
think the above should just be dropped.

A few editorial ones suggested by some lawyer friends. They all seem 
eminently sensible to me:

- Section 5.5(A): s/i.e./e.g.

- Section 5.5(B): s/royalty rates/royalties. I'm told that there are 
royalties that might not have "rates" associated with them.

- Section 5.5(C): Two things:

OLD
       and will attach to the associated IPR
NEW
       and will attach, to the extent permissible by law, to the 
associated IPR
END

I'm told that there are some jurisdictions where you may not be able to 
do that.

OLD
       must ensure that such
       commitments are binding on any subsequent transferee of the
       relevant IPR.
NEW
       must ensure that such commitments are binding on a transferee of
       the relevant IPR, and that such transferee will use reasonable
       efforts to ensure that such commitments are binding on a
       subsequent transferee of the relevant IPR, and so on.
END

The object of the "subsequent" wasn't clear, so this just spells it out. 
Wordy, but more precise.

- Section 7, paragraph 6:

The only change in this paragraph from 3979 was to add the word "all" in 
the second-to-last sentence. My lawyer friends tell me that this little 
change is opening a can of worms, having to do with licensing to makers 
of parts instead of implementers of the whole specification. I don't 
think we meant to change the meaning from the 3979 meaning, and I 
certainly don't think that we meant to change some implication about 
whether folks in general needed to license to people that make parts 
where they wouldn't have before. Was there something unclear about that 
sentence that needed the word "all" added to it? We aren't making a 
substantive change, are we? Can we just strike it? It seemed pretty 
clear to me before.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 11 Apr 2016 15:33:38 -0700

> On Apr 4, 2016, at 1:28 PM, Jari Arkko <[email-masked]> wrote:
> 
> 

+1
This is what did not make sense to me about the draft. 

Alissa

---

From: Jari Arkko <[email-masked]>
Date: Mon, 25 Apr 2016 23:15:25 +0300

Thanks Pete.

I’m working slowly through your comments, but wanted to agree on at least these from my personal perspective:

> A few editorial ones suggested by some lawyer friends. They all seem eminently sensible to me:
> 
> - Section 5.5(B): s/royalty rates/royalties. I'm told that there are royalties that might not have "rates" associated with them.

yes

>      and will attach, to the extent permissible by law, to the associated IPR
> END
> 
> I'm told that there are some jurisdictions where you may not be able to do that.

yep

> The object of the "subsequent" wasn't clear, so this just spells it out. Wordy, but more precise.

right

> The only change in this paragraph from 3979 was to add the word "all" in the second-to-last sentence. My lawyer friends tell me that this little change is opening a can of worms, having to do with licensing to makers of parts instead of implementers of the whole specification. I don't think we meant to change the meaning from the 3979 meaning, and I certainly don't think that we meant to change some implication about whether folks in general needed to license to people that make parts where they wouldn't have before. Was there something unclear about that sentence that needed the word "all" added to it? We aren't making a substantive change, are we? Can we just strike it? It seemed pretty clear to me before.

agree

> As far as the concern, the second part of the next sentence in 5.4.2(A) is worrisome:
> 
>                                                                    If a
>       Contribution, the IPR disclosure must describe any differences in
> The first part is fine, though it repeats what's in 5.4.1 already, so I think it can be dropped. But the second part is what I'm concerned about. We've never before required disclosures to determine and discuss the applicability of the disclosure to the Contribution, and nowhere else in this document is that mentioned. Indeed, we go to great lengths to say that the leadership of the IETF doesn't try to figure out applicability, and that even WGs or the IESG can only take into account their opinions of what the applicability is. As a general rule, I don't think we can ask people who disclose to do the analysis to determine what parts of the patent do or do not apply to a particular contribution. As we say elsewhere, that's really up to a court. So I think the above should just be dropped.

I agree, although I wonder if the intent was to cover a case where — given the changes in claims — the issued patent no longer covers the draft. But, even so, there’s a practical concern: I’m not sure it is easy to get lawyers to state that they have no claims on a particular topic.

Jari

---

From: Stephan Wenger <[email-masked]>
Date: Mon, 25 Apr 2016 21:31:42 +0000

Hi,
Please see inline.  Everything I agree with (reluctantly or wholeheartedly) is deleted.
Thanks,
Stephan

[...]

>Right

I’m not sure I agree that the object of “subsequent wasn’t clear from context.  However, I don’t mind to see that fixed if others feel so.  However, the fix as proposed sets a very low standard (reasonable efforts) for ensuring that subsequent transferees are bound. That a substantial change from the WG consensus, and IMO in the wrong direction.

What we want to achieve is that if A assigns a patent to B, B and all further transferees (B to C, C to D, etc. etc.) are similarly bound.  We want to make sure if any of these entities doesn’t feel bound for whatever reason, the patent is held unenforcible by a well-informed court.  It’s clear that this is much more onerous to the rightholder, and may well lower the value of the IPR. 

I would be fine if the NEW part would be reworded as follows:
NEW
      must ensure that such commitments are binding on a transferee of
      the relevant IPR, and also binding on any subsequent transferees 
of the relevant IPR.
END

>Agree

I’m not sure here.
For context, the paragraph is in section 7 of RFC3979bis (which used to be the second paragraph of section 8 of RFC3979).  The sentence in question describes an purported IETF consensus established in pre-RFC3979 times, as follows (the critical and new “ALL” is capitalized):

“
An IETF consensus has developed that no mandatory-to-implement security technology can be specified in an IETF specification unless it has no known IPR claims against it or a royalty-free license is available to ALL implementers of the specification unless there is a very good reason to do so. 

“

I agree that the tightened language removes an arguably unclear loophole that has been present in RFC3979, and which Pete’s lawyer-friends probably would like to preserve.  However, generally speaking, removing loopholes like this is a Good Thing, unless the consensus at the time was such that there ought to be a loophole.  I did not follow the consensus process in sufficient detail to have an opinion, but perhaps security and IPR conscious folks in the IETF remember?

---

From: Pete Resnick <[email-masked]>
Date: Fri, 29 Apr 2016 14:58:58 -0500

On 25 Apr 2016, at 16:31, Stephan Wenger wrote:

> On 4/25/16, 13:15, "ietf on behalf of Jari Arkko" 
> <[email-masked] on behalf of [email-masked]> wrote:
>
>>
> I’m not sure I agree that the object of “subsequent wasn’t clear 
> from context.  However, I don’t mind to see that fixed if others 
> feel so.  However, the fix as proposed sets a very low standard 
> (reasonable efforts) for ensuring that subsequent transferees are 
> bound. That a substantial change from the WG consensus, and IMO in the 
> wrong direction.

Let's be clear that there was no "WG consensus" on this, since there was 
no WG. But let's assume that the consensus of the BoF was for something 
strong.

I disagree that "use reasonable efforts to ensure" is such a low 
standard, and the stronger language you propose concerns me:

> What we want to achieve is that if A assigns a patent to B, B and all 
> further transferees (B to C, C to D, etc. etc.) are similarly bound.  
> We want to make sure if any of these entities doesn’t feel bound for 
> whatever reason, the patent is held unenforcible by a well-informed 
> court.  It’s clear that this is much more onerous to the 
> rightholder, and may well lower the value of the IPR.
>

This seems to require that if my IPR is transferred 20 times over 20 
years, I am on the hook in perpetuity to absolutely make sure that the 
next person down the line sticks to the agreement. I'm certainly willing 
to make *reasonable* efforts to do so, and it will be up to a court to 
determine if my efforts were reasonable, but I certainly don't want to 
be forced to completely indemnify to 21st person down the line. "Use 
reasonable efforts to ensure" seems reasonable. Otherwise, it's not 
clear to me what I'm signing up to.

>>> The only change in this paragraph from 3979 was to add the word 
>>> "all" in the second-to-last sentence. My lawyer friends tell me that 
>>> this little change is opening a can of worms, having to do with 
>>> licensing to makers of parts instead of implementers of the whole 
>>> specification. I don't think we meant to change the meaning from the 
>>> 3979 meaning, and I certainly don't think that we meant to change 
>>> some implication about whether folks in general needed to license to 
>>> people that make parts where they wouldn't have before. Was there 
>>> something unclear about that sentence that needed the word "all" 
>>> added to it? We aren't making a substantive change, are we? Can we 
>>> just strike it? It seemed pretty clear to me before.
>>
>> Agree
>
> I’m not sure here.
> For context, the paragraph is in section 7 of RFC3979bis (which used 
> to be the second paragraph of section 8 of RFC3979).  The sentence in 
> question describes an purported IETF consensus established in 
> pre-RFC3979 times, as follows (the critical and new “ALL” is 
> capitalized):
>
> “
> An IETF consensus has developed that no mandatory-to-implement 
> security technology can be specified in an IETF specification unless 
> it has no known IPR claims against it or a royalty-free license is 
> available to ALL implementers of the specification unless there is a 
> very good reason to do so.
> “

Right, the only change between 3979 and the above is the addition of the 
word "ALL" (not in all caps in 3979bis).

> I agree that the tightened language removes an arguably unclear 
> loophole that has been present in RFC3979, and which Pete’s 
> lawyer-friends probably would like to preserve.  However, generally 
> speaking, removing loopholes like this is a Good Thing, unless the 
> consensus at the time was such that there ought to be a loophole.  I 
> did not follow the consensus process in sufficient detail to have an 
> opinion, but perhaps security and IPR conscious folks in the IETF 
> remember?

Wait, what "arguably unclear loophole" do you think was there that 
adding "all" in the above sentence tightens? Calling it a "loophole" 
implies that somehow the IETF intention was to disallow something that 
the current text allows. What is that something that you think we ought 
to be removing?

I know that my lawyer friend was concerned not about security technology 
per se, but the issue of licensing levels more generally. I'm pretty 
sure we only wanted to talk about requiring royalty-free licensing for 
security protocols specifically and never intended to require particular 
kinds of licensing across the board. Either way, I think that the 
original text was perfectly clear and had no loopholes.

So, why are we adding "all"? What loophole are we trying to close? If 
there is none, let's strike "all" and use the original text.

pr

---

From: Stephan Wenger <[email-masked]>
Date: Sat, 30 Apr 2016 02:23:01 +0000

Hi Pete.
I concur that there was no WG.  Sorry for implying that there was one.  I should have written BOF consensus or something like that.
As for the substance, please see inline.
Stephan

>clear to me what I'm signing up to.

For the information of the broader community here: the subject of licensing commitments traveling with patents is currently a hot topic in several IPR working groups of a number of SDOs.  Pete’s employer has a fairly strong position on that matter, and so have I (and a bunch of other folks).  I wouldn’t call this a proxy discussion here--the IETF’s policy is too important for that--but I’m not surprised that it comes up prominently now.  However, I do believe that the IETF’s patent policy practice has two unique features, lack of RAND licensing requirement based on membership or participation and the common use of non-assert covenants, that make a clean solution here even more important than in, say, the ITU.

My view is that certainty for the implementer that licensing commitments made should trump freedom of business for patents.  I want that a licensing commitment travels with the patent, just as a license travels with the patent (the latter as a matter of law, almost everywhere in the world and under almost all circumstances short of bankruptcy).

If you are not willing to stand behind your commitment once made, and enforce it yourself if violated by some guy downstream, then don’t sell your patent.  Or, sell your patent but make sufficient allowances to deal with the consequences of a sale to a misbehaving entity downstream.

Example: Assume A makes a non-assert covenant, and further assume that an implementation infringes on the patent in question (meaning an implementer needs a license or a reliance on a non-assert covenant).  Me, relying on this covenant, implement the technology and never violate conditions in the covenant--for example, I never sue A and thereby violate a reciprocity condition of the covenant.  A later assigns to B, B assigns to troll C, C sues me over a patent violation.  B and C may well not have a disclosure obligation in the IETF.  The lawsuit would come out of the blue to me.  That’s just wrong and exactly what the policy tries to avoid.  If the non-assert would travel with the patent, of course I could still get sued, but such a lawsuit would most likely have a rather swift resolution in my favor.  

With your language, once C sues me, as the very minimum I would have to go through discovery of both assignments (there goes the first million of many).  I may or may not win the lawsuit based on an existing covenant or resulting implied license.  Once done, I can’t even go after A for damages unless I could show A forgot to put some “best effort” language in A's assignment paperwork.  That’s not equitable, because A did profit from the assignment of the patent.  

>>>> - Section 7, paragraph 6:

This is IMO a much less critical point then the one above, and in fact I was mainly asking a question (of an IETF security consensus as of 2005) rather than pushing a point.  Still, as you are arguing substance rather than provide historic context, please see below for my own arguments.

>adding "all" in the above sentence tightens? 

The loophole is as follows: Arguably, without the ALL, there could be some implementers of mandatory to implement security technologies that are not covered by the RFC3979 language.  You yourself made that point, by saying that there actually IS a difference between presence and absence of the “ALL".  I got alarmed by your statement.  If you guys really think that the language gives enough wiggle-room that, for example, a library/chip-IP house offering a cipher could charge patent royalties for a mandatory to implement cypher technology even if the final hardware or software product cannot, then I find that alarming.  They shouldn’t be able to do so, because at least my understanding of the IETF consensus here has been that they would never, ever select a cipher as mandatory to implement unless that cipher is free of patent royalties.  

>Calling it a "loophole" 

See above.

>original text was perfectly clear and had no loopholes.

Again, the text above is ONLY related to mandatory to implement security technology.  Nothing (but common sense and the law, including antitrust law) prevents you guys to choose whatever language you prefer in your free-form licensing declaration.

Stephan

---

From: Stewart Bryant <[email-masked]>
Date: Sat, 30 Apr 2016 10:04:52 +0100

l. "Reasonably and personally known": means something an individual
       knows personally or, because of the job the individual holds,
       would reasonably be expected to know.  This wording is used to
       indicate that an organization cannot purposely keep an individual
       in the dark about patents or patent applications just to avoid the
       disclosure requirement.  But this requirement should not be
       interpreted as requiring the IETF Contributor or Participant (or
       his or her represented organization, if any) to perform a patent
       search to find applicable IPR.

How do we deal with the case of a an individual that was exposed to IPR 
in a previous
employment, but no longer having access to the records of that employer is
uncertain about whether they know of such IPR? A third party disclosure 
is one
solution, but without access to records it may not be possible to 
sufficiently
identify the patent such that the legal department can file the disclosure.

6. Failure to Disclose

    There may be cases in which individuals are not permitted by their
    employers or by other factors to disclose the existence or substance
    of patent applications or other IPR.  Since disclosure is required
    for anyone making a Contribution or participating in IETF activities,
    a person who is not willing or able to disclose IPR for this reason,
    or any other reason, must not contribute to or participate in IETF
    activities with respect to technologies that he or she reasonably and
    personally knows to be Covered by IPR which he or she will not
    disclose, unless that person knows that his or her employer or
    sponsor will make the required disclosures on his or her behalf.

    Contributing to or participating in IETF activities about a
    technology without making required IPR disclosures is a violation of
    IETF process.

    In addition to any remedies the IESG may consider other actions. See
    [RFC6701] for details.

This assumes that the individual intends to support the technology that they
know to be encumbered.

Surely we need to also consider the case of an individual that although 
unable
to disclose IPR without breaching confidentiality is arguing for an 
alternative
unencumbered solution.

We also need to visit the matter of licence fees.

The IETF has a policy of not discussing licence terms, and in particular 
licence fees
in determining whether a technology is to be adopted or avoided. This 
policy does
not properly consider the extremity of the range of devices we support. 
What is
technically the best solution for a $1m router despite a significant 
licence fee
may not be viable for $0.01 IoT sensor because of the licence fee. Yet 
the WG is
not permitted to discuss those economics.

- Stewart

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 1 May 2016 08:35:48 +1200

On 30/04/2016 21:04, Stewart Bryant wrote:
> How do we deal with the case of a an individual that was exposed to IPR in a previous
> uncertain about whether they know of such IPR? A third party disclosure is one
> solution, but without access to records it may not be possible to sufficiently

So the individual does a voluntary disclosure based on what she happens
to remember, and then her obligation is satisfied. We have no control
over what non-participants at her previous employer do.

> Surely we need to also consider the case of an individual that although unable
> to disclose IPR without breaching confidentiality is arguing for an alternative
> unencumbered solution.

What's the difference? If you participate, you must disclose. I agree it
would be an annoying situation for the individual.

> The IETF has a policy of not discussing licence terms, and in particular licence fees
> in determining whether a technology is to be adopted or avoided.

Where does it say that? What I read is the opposite:

"    A. Since IPR disclosures will be used by IETF working groups during
     their evaluation of alternative technical solutions, it is helpful
     if an IPR disclosure includes information about licensing of the
     IPR in case Implementing Technologies require a license...."

   Brian

> This policy does
> not properly consider the extremity of the range of devices we support. What is
> technically the best solution for a $1m router despite a significant licence fee
> may not be viable for $0.01 IoT sensor because of the licence fee. Yet the WG is